aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
...
* opie-theme: fix parse warningsPaul Eggleton2013-08-261-9/+9
| | | | | | | Fix warnings during parse due to value overwriting by naming the packages correctly. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* preferred-opie-git-versions.inc: update to latest git versionPaul Eggleton2013-08-261-1/+1
| | | | | | Adds some fixes for compilation failures, among other changes. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* classes/qmake: fix for changes to qmake_base in OE-CorePaul Eggleton2013-08-261-0/+4
| | | | | | | Hack around some Qt4-specific variable usage recently introduced into OE-Core's qmake_base class. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qte: fix for compilation with libpng 1.5+Paul Eggleton2013-08-262-0/+244
| | | | | | Add a patch to fix QtE's PNG support code for the newer libpng API. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qte: fix compiler error with gcc 4.7+Paul Eggleton2013-08-261-6/+24
| | | | | | Adds another fix for local method call without this->. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* uicmoc: fix compile issue with GCC-4.7Apelete Seketeli2013-04-242-0/+12
| | | | | | | | Fix compile issue found when building uicmoc-native with GCC-4.7. Though it was detected with version 4.7, the problem may appear with an earlier version of GCC-4.x. Signed-off-by: Apelete Seketeli <apelete@seketeli.net>
* layer.conf: use ??= to set variablesPaul Eggleton2013-03-251-2/+2
| | | | | | | If these variables are set with = or ?= then the ?= setting in conf/distro/include/preferred-opie-git-versions.inc will not be used. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* camera-assistant: move files to files subdirectoryPaul Eggleton2013-03-253-0/+0
| | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* recipes: Turn ALLOW_EMPTY to be package specificKhem Raj2013-03-204-4/+4
| | | | | | | | | | | | | | | | | | | | | | | Fixes QA warnings during parse ERROR: QA Issue: /b/kraj/angstrom/sources/meta-opie/recipes-opie/packagegroups/nativesdk-packagegroup-opie-toolchain-host.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /b/kraj/angstrom/sources/meta-opie/recipes-opie/packagegroups/packagegroup-opie-toolchain-target.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /b/kraj/angstrom/sources/meta-opie/recipes-opie/opie-mediaplayer1/opie-mediaplayer1_git.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /b/kraj/angstrom/sources/meta-opie/recipes-opie/opie-mediaplayer1/opie-mediaplayer1_1.2.5.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. Signed-off-by: Khem Raj <raj.khem@gmail.com>
* various: fix pkg_postinst/rm to be package specficKoen Kooi2013-03-0735-65/+65
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-qtopia/tasklistapplet/tasklistapplet_1.0.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:52 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-qtopia/tasklistapplet/tasklistapplet_1.0.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-qtopia/portabase/portabase_1.9.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-qtopia/qpe-games/crossword_0.0.3.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-jumpx/opie-jumpx_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:27 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-jumpx/opie-jumpx_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-jumpx/opie-jumpx_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-jumpx/opie-jumpx_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-ttf-support/opie-ttf-support_1.1.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-cardapplet/opie-cardapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:59 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-cardapplet/opie-cardapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-cardapplet/opie-cardapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-cardapplet/opie-cardapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyboard/opie-keyboard_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:59 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyboard/opie-keyboard_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyboard/opie-keyboard_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyboard/opie-keyboard_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-kpacman/opie-kpacman_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:57 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-kpacman/opie-kpacman_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:53 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-vmemo/opie-vmemo_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-vmemo/opie-vmemo_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-vmemo/opie-vmemo_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-vmemo/opie-vmemo_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-unikeyboard/opie-unikeyboard_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-unikeyboard/opie-unikeyboard_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-unikeyboard/opie-unikeyboard_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-unikeyboard/opie-unikeyboard_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-autorotateapplet/opie-autorotateapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:49 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-autorotateapplet/opie-autorotateapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-autorotateapplet/opie-autorotateapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-autorotateapplet/opie-autorotateapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-help-en/opie-help-en_1.2.5.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-help-en/opie-help-en_git.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. | ETA: 00:04:45 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clipboardapplet/opie-clipboardapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:41 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clipboardapplet/opie-clipboardapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clipboardapplet/opie-clipboardapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clipboardapplet/opie-clipboardapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-networkapplet/opie-networkapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-networkapplet/opie-networkapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-networkapplet/opie-networkapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-networkapplet/opie-networkapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-kjumpx/opie-kjumpx_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:39 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-kjumpx/opie-kjumpx_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-kjumpx/opie-kjumpx_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-kjumpx/opie-kjumpx_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-dvorak/opie-dvorak_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-dvorak/opie-dvorak_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-dvorak/opie-dvorak_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-dvorak/opie-dvorak_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-notesapplet/opie-notesapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:37 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-notesapplet/opie-notesapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-notesapplet/opie-notesapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:34 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-notesapplet/opie-notesapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikey/opie-multikey_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikey/opie-multikey_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikey/opie-multikey_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-multikey/opie-multikey_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-mediaplayer1/opie-mediaplayer1_1.2.5.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-mediaplayer1/opie-mediaplayer1_git.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-handwriting/opie-handwriting_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-handwriting/opie-handwriting_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-handwriting/opie-handwriting_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-handwriting/opie-handwriting_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-screenshotapplet/opie-screenshotapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:30 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-screenshotapplet/opie-screenshotapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-screenshotapplet/opie-screenshotapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-screenshotapplet/opie-screenshotapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-memoryapplet/opie-memoryapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:24 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-memoryapplet/opie-memoryapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-memoryapplet/opie-memoryapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-memoryapplet/opie-memoryapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-lockapplet/opie-lockapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-lockapplet/opie-lockapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-lockapplet/opie-lockapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-lockapplet/opie-lockapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pickboard/opie-pickboard_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pickboard/opie-pickboard_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pickboard/opie-pickboard_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pickboard/opie-pickboard_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-brightnessapplet/opie-brightnessapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-brightnessapplet/opie-brightnessapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-brightnessapplet/opie-brightnessapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:22 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-brightnessapplet/opie-brightnessapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clockapplet/opie-clockapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clockapplet/opie-clockapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clockapplet/opie-clockapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-clockapplet/opie-clockapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/packagegroups/packagegroup-opie-toolchain-target.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. | ETA: 00:04:19 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/packagegroups/nativesdk-packagegroup-opie-toolchain-host.bb: Variable ALLOW_EMPTY is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-wirelessapplet/opie-wirelessapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-wirelessapplet/opie-wirelessapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-wirelessapplet/opie-wirelessapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-wirelessapplet/opie-wirelessapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-volumeapplet/opie-volumeapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-volumeapplet/opie-volumeapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-volumeapplet/opie-volumeapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:15 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-volumeapplet/opie-volumeapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-batteryapplet/opie-batteryapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-batteryapplet/opie-batteryapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-batteryapplet/opie-batteryapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-batteryapplet/opie-batteryapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyview/opie-keyview_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyview/opie-keyview_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyview/opie-keyview_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-keyview/opie-keyview_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pyquicklaunchapplet/opie-pyquicklaunchapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pyquicklaunchapplet/opie-pyquicklaunchapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pyquicklaunchapplet/opie-pyquicklaunchapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-pyquicklaunchapplet/opie-pyquicklaunchapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-irdaapplet/opie-irdaapplet_1.2.5.bb: Variable pkg_postinst is set as not being package specific, please fix this. | ETA: 00:04:12 ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-irdaapplet/opie-irdaapplet_1.2.5.bb: Variable pkg_postrm is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-irdaapplet/opie-irdaapplet_git.bb: Variable pkg_postinst is set as not being package specific, please fix this. ERROR: QA Issue: /build/setup-scripts/sources/meta-opie/recipes-opie/opie-irdaapplet/opie-irdaapplet_git.bb: Variable pkg_postrm is set as not being package specific, please fix this. Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* layer.conf: fix parse errors in some git recipes when not using git versionPaul Eggleton2013-01-221-0/+1
| | | | | | | Fixes errors during parsing certain recipes (eg. opie_mediaplayer1) when user hasn't "require"d conf/distro/include/preferred-opie-git-versions.inc Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* layer.conf: fix parsing with recent change to meta-systemdPaul Eggleton2013-01-221-2/+2
| | | | | | | | | | | | | | Fixes parsing errors which is appearing after the following commit: http://cgit.openembedded.org/meta-openembedded/commit/?id=3c21a46020bd0816579648f684c41dbd6333583e Without this change, you get "NameError: name 'base_contains' is not defined". Based upon a patch by Khem Raj <raj.khem@gmail.com>, the only change being prepending to BBPATH as was done previously. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* kdepimpi-base: Remove mutliline commented codeKhem Raj2013-01-221-9/+0
| | | | | | This is now reported as error by bitbake and refused to parse. Signed-off-by: Khem Raj <raj.khem@gmail.com>
* Remove NATIVE_INSTALL_WORKSPaul Eggleton2012-11-103-3/+0
| | | | | | This variable is no longer used with OE-Core. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qpf-bitstream-vera-sans-mono_1.10.bb: Fix TypoKhem Raj2012-09-281-2/+2
| | | | | | misplaced end quote Signed-off-by: Khem Raj <raj.khem@gmail.com>
* jlime-opie: removePaul Eggleton2012-09-091-63/+0
| | | | | | This is ancient, JLime hasn't supported Opie for a very long time. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* packagegroup-*: fix/tidy up for inherit of packagegroup.bbclassPaul Eggleton2012-09-095-12/+4
| | | | | | | * Move PACKAGE_ARCH setting after the inherit (or it won't work) * We don't need to set LIC_FILES_CHKSUM anymore Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* packagegroup-*: add RPROVIDES/RREPLACES/RCONFLICTSPaul Eggleton2012-09-096-6/+63
| | | | | | Allow upgrades from previous task packages. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* packagegroup-opie-toolchain-host-nativesdk: rename to nativesdk-Paul Eggleton2012-09-092-1/+1
| | | | | | As per naming convention change in OE-Core. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* Rename task -> packagegroupPaul Eggleton2012-09-0917-199/+199
| | | | | | This matches the new naming scheme in OE-Core. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* task-opie-toolchain-host-nativesdk: fix for task -> packagegroup renamePaul Eggleton2012-09-051-1/+1
| | | | | | Fixes parsing for the recent change in OE-Core. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* task-opie: Adjust for nativesdk renamingKhem Raj2012-09-041-3/+3
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* task-opie-16mb: use 240x320 not 320x240 imagesPaul Eggleton2012-08-121-2/+2
| | | | | | | | opie-taskbar-images-320x240 is a dummy PROVIDES and never actually gets produced; in any case the correct resolution for the machines this is designed for (e.g. collie, h3600) is 240x320. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-sysinfo: split out machine-specific imagesPaul Eggleton2012-08-126-1/+65
| | | | | | | | | This saves ~600k of space on the target by only installing the image appropriate for the machine. If there is no specific image then the opie-sysinfo-images package will be empty and not produced, which is OK since opie-sysinfo only RRECOMMENDS it. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* libetpan: removePaul Eggleton2012-08-123-50/+0
| | | | | | | libetpan has recently been added to meta-oe, so we don't need it here anymore. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-taskbar-images: allow re-exec of do_installPaul Eggleton2012-08-121-2/+4
| | | | | | | | If do_install is rerun a second time we don't want it to fail because the image files have already been renamed, so just skip the rename in that case. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* gnuplot: removePaul Eggleton2012-08-1214-737/+0
| | | | | | | A newer version of gnuplot is provided in meta-oe now, so remove it and all related files here. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* libsdl-qpe: add missing patches from OE-ClassicPaul Eggleton2012-08-127-0/+748
| | | | | | Fixes related warnings during parsing. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* kaffe: add missing patch from OE-ClassicPaul Eggleton2012-08-121-0/+11
| | | | | | Fixes related warning during parse. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* snes9x-sdl-qpe: use FILESEXTRAPATHS instead of FILESPATHPKGPaul Eggleton2012-08-121-1/+1
| | | | | | | Fixes the following warning during parse: WARNING: Unable to get checksum for snes9x-sdl-qpe SRC_URI entry compile.patch: file could not be found Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* snes9x: remove X11-based recipePaul Eggleton2012-08-126-234/+0
| | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-libqrsync: avoid QA issuePaul Eggleton2012-08-011-0/+1
| | | | | | Avoid staticdev QA issue for this recipe by using INSANE_SKIP. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* Fix whitespace issuesPaul Eggleton2012-08-016-129/+129
| | | | | | | Ensure we use only four spaces in all python functions; this avoids warnings and errors triggered by the recent cleanup in OE-Core. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qpegps: fix proto -> protocolPaul Eggleton2012-07-191-1/+1
| | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* hotplug-qcop: removePaul Eggleton2012-05-301-22/+0
| | | | | | | | hotplug is no longer used with modern Linux - we don't include hotplug-qcop anywhere and I don't expect we ever will again, so let's just remove it. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* uqtreader: removePaul Eggleton2012-05-303-2722/+0
| | | | | | | | This recipe was intended to build a hacked Qt 4 version of opie-reader, however meta-opie itself only supports the Qt 2 version of opie-reader; this recipe can be put into another layer if it is still useful. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-image: pull in task-basePaul Eggleton2012-05-201-1/+2
| | | | | | | | task-base pulls in a lot of items right now but most of it is dictated by DISTRO_FEATURES and MACHINE_FEATURES which we really need to be honouring. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* Fix unqualified LICENSE for core recipesPaul Eggleton2012-05-2016-19/+19
| | | | | | | Fix unqualified "GPL" and "LGPL" values in the LICENSE field for core Opie recipes. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* preferred-opie-git-versions.inc: update to latest git versionPaul Eggleton2012-05-201-2/+4
| | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* Fix Opie Git recipes to use SRCPVPaul Eggleton2012-05-20193-379/+392
| | | | | | | | | Using SRCPV we get e.g. 1.2.5+git1+... and the number will increment when OPIE_SRCREV changes, ensuring that the version number doesn't go backwards (although it will once for this change if you have existing packages beforehand, unfortunately). Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* task-opie-apps: remove opie-euroconvPaul Eggleton2012-05-201-1/+3
| | | | | | | | opie-euroconv isn't much use these days and will be replaced by opie-currconv in 1.2.6. Thus, for now, remove it from task-opie-apps so it doesn't cause problems when building with the git recipes. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-taskbar: fix git version for upstream changesPaul Eggleton2012-05-202-13/+14
| | | | | | | Fix for changes in current git master; in particular, ensure we enable the sync protocol v2 in the launcher. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-alarm: fix git version for upstream changesPaul Eggleton2012-05-202-2/+15
| | | | | | | The OPIE_BINDIR part of this patch is now upstream so we can remove it from the git version. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* libqpe-opie: remove citytime-path patch from git versionPaul Eggleton2012-05-201-2/+1
| | | | | | citytime-path-2.patch has now been merged upstream. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-connmanapplet/opie-connmansettings: addPaul Eggleton2012-05-204-0/+48
| | | | | | Add recipes for new Opie ConnMan frontend. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-currconv: add new recipePaul Eggleton2012-05-202-0/+25
| | | | | | This application replaces opie-euroconv for the next version of Opie. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-init: fix missing inherit of palmtop-defsPaul Eggleton2012-04-232-3/+2
| | | | | | | | | | | | This recipe refers to palmtopdir but unfortunately got missed when the definition was moved to palmtop-defs as the searches I was using at the time explicitly excluded files containing "inherit opie", which the .inc file did except it was commented out. Also remove the commented out "inherit opie" line as it serves no purpose and might lead to the same mistake happening again. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opie-packagemanager: fix a couple more quoting issuesPaul Eggleton2012-02-292-3/+1
| | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* meta-opie: Fix quoting errors found by latest bitbakeKhem Raj2012-02-285-5/+5
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* Set a default OPIE_GIT_PV to avoid parse errorsPaul Eggleton2012-02-251-0/+3
| | | | | | | | | | If the user has not included the Opie git versions inc file (conf/distro/include/preferred-opie-git-versions.inc) then we need to set a default value for OPIE_GIT_PV to avoid parsing errors. (If the user has neglected to include any file from conf/distro/include then they will get a warning during parsing from libqpe/libqpe-opie.inc.) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>